.popup {
  position: fixed;
  top: 0;
  left: 0;
  width: 100%;
  height: 100%;
  display: flex;
  flex-wrap: wrap;
  justify-content: center;
  align-items: center;
  z-index: 99999999;
  background-color: rgba(0, 0, 0, 0.75);
  opacity: 0;
  visibility: hidden;
  transition: all 0.5s ease; }
  .popup--active {
    opacity: 1;
    visibility: visible; }
    .popup--active .popup__container {
      transform: none; }
  .popup__container {
    position: relative;
    width: 100%;
    height: 100%;
    max-width: 90vw;
    max-height: 90vh;
    display: flex;
    flex-wrap: wrap;
    flex-direction: column;
    justify-content: center;
    align-items: center;
    text-align: center;
    background-color: rgba(0, 0, 0, 0.9);
    border-radius: 30px;
    transform: translateY(-100%);
    padding: 1.5rem;
    transition: all 0.5s ease; }
    @media (min-width: 992px) {
      .popup__container {
        max-width: 80vw;
        max-height: 80vh;
        padding: 3rem; } }
    @media (min-width: 1600px) {
      .popup__container {
        max-width: 60vw;
        padding: 4.5rem; } }
    @media (min-width: 1920px) {
      .popup__container {
        max-height: 75vh;
        padding: 4.5rem; } }
  .popup__logo {
    width: 16.9rem;
    height: 13.9rem;
    margin-bottom: 1.5rem; }
    @media (min-width: 1600px) {
      .popup__logo {
        margin-bottom: 3rem; } }
  .popup__text {
    font-family: "Work Sans", sans-serif;
    color: #ffffff; }
    .popup__text h2,
    .popup__text h3 {
      font-family: "Playfair Display", serif;
      font-size: 3.2rem;
      line-height: 1; }
      @media (min-width: 992px) {
        .popup__text h2,
        .popup__text h3 {
          font-size: 5.2rem; } }
      @media (min-width: 1600px) {
        .popup__text h2,
        .popup__text h3 {
          font-size: 7.2rem; } }
      .popup__text h2:not(:first-child),
      .popup__text h3:not(:first-child) {
        margin-top: 1.5rem; }
        @media (min-width: 1600px) {
          .popup__text h2:not(:first-child),
          .popup__text h3:not(:first-child) {
            margin-top: 3rem; } }
      .popup__text h2:not(:last-child),
      .popup__text h3:not(:last-child) {
        margin-bottom: 1.5rem; }
        @media (min-width: 1600px) {
          .popup__text h2:not(:last-child),
          .popup__text h3:not(:last-child) {
            margin-bottom: 3rem; } }
    .popup__text h2 {
      font-weight: 400;
      font-style: italic; }
    .popup__text h3 {
      font-weight: 700; }
    .popup__text p {
      font-weight: 300;
      letter-spacing: 2px; }
      .popup__text p strong {
        color: #bc0027;
        font-weight: 700; }
      .popup__text p:not(:first-child) {
        margin-top: 1rem; }
        @media (min-width: 1600px) {
          .popup__text p:not(:first-child) {
            margin-top: 2rem; } }
      .popup__text p:not(:last-child) {
        margin-bottom: 1rem; }
        @media (min-width: 1600px) {
          .popup__text p:not(:last-child) {
            margin-bottom: 2rem; } }
  .popup__close {
    position: absolute;
    top: 1rem;
    right: 1rem;
    display: flex;
    flex-wrap: wrap;
    flex-direction: column;
    align-items: center;
    justify-content: center;
    width: 3rem;
    height: 3rem;
    z-index: 2; }
    @media (min-width: 1600px) {
      .popup__close {
        top: 2rem;
        right: 2rem;
        width: 4rem;
        height: 4rem; } }
    .popup__close::before, .popup__close::after {
      content: "";
      width: 2rem;
      height: 0.2rem;
      background-color: #ffffff;
      transition: all 0.5s ease; }
    .popup__close::before {
      transform: rotate(45deg) translate(0.1rem, 0); }
    .popup__close::after {
      transform: rotate(-45deg) translate(0.1rem, -0.1rem); }
    .popup__close:hover::before, .popup__close:hover::after {
      background-color: #bc0027; }
